Update to 1.15.8 #1104

Closed
HuckyDucky opened this Issue Sep 10, 2012 · 6 comments

Comments

Projects
None yet
2 participants

I am on a MacBook Pro running OS X Mountain Lion.

I updated rvm to version 1.15.8. I did a force reinstall of all my rubies. Also set the gems back to pristine conditions. Here is a list of the problems I have encountered:

#1.8.7 no longer compiles because it is looking for some X11 library I no longer have.

# Going to a project directory that contains a .rvmrc file now causes this:

__rvm_remove_from_path:11: failed to compile regex: invalid character range
__rvm_remove_from_path:11: failed to compile regex: invalid character range
__rvm_remove_from_path:11: failed to compile regex: invalid character range
__rvm_remove_from_path:11: failed to compile regex: invalid character range
__rvm_remove_from_path:11: failed to compile regex: invalid character range
__rvm_remove_from_path:11: failed to compile regex: invalid character range
... for thousands of lines with no end.

# Typing "rvm use 1.9.4-p194@mygemset" yields the same result as above.

# And this one: 

bundle install

Tells me I need to install gem bundler'

I do it.

bundle install

Still tells me I need to install gem bundler!

I wish I knew how to get back to the previous version of rvm. This is a real problem as I have a deadline. Usually I don't even upgrade rvm to avoid these environment problems, but I was following the directions to try to get it to work with Textmate.

The worst problem is definitely not being able to "use" 1.9.3. I can Ctrl-C out of the bottomless messages about "failed to compile regex", but then when I do "rvm info" it shows that it hasn't set my environment appropriately.

Owner

mpapis commented Sep 10, 2012

ok lets number your issues:

  1. 1.8.7 does not compile - please prepare a gist of the reinstall command, maybe it's just compilation switches,
  2. __rvm_remove_from_path:11: - this looks like you got rvm get head in zsh shell, if yes then it is duplicate of #1101 ... if not we will have to debug the problem
  3. bundler not found could be related to the point 2, or it is your PATH setting before rvm is loaded - it can foul RVM detection of selected ruby and avoid properly using default - resulting in your problem

@ghost ghost assigned mpapis Sep 10, 2012

You are correct Sir, I'm using zsh. Bouncing down to 1.15.7...

@HuckyDucky HuckyDucky closed this Sep 10, 2012

Owner

mpapis commented Sep 10, 2012

@HuckyDucky does it work with rvm get stable - you did not mention if it was 1.15.8 stable or head/master

@mpapis mpapis reopened this Sep 10, 2012

Owner

mpapis commented Sep 11, 2012

also rvm get head should be fixed ... hopefully - I pushed multiple fixes to avoid this problems

Thanks Michal, I will give it a shot later this week after I get past this deadline. I will update the ticket then.

Owner

mpapis commented Sep 26, 2012

I assume this also works for you, let me know if not.

@mpapis mpapis closed this Sep 26, 2012

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment